> ## Documentation Index
> Fetch the complete documentation index at: https://docs.timbrix.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Update member role (owner/admin only)

> ⚠️ SECURITY: Only OWNERS and ADMINS can change member roles. The OWNER role cannot be changed or transferred.



## OpenAPI

````yaml https://api.timbrix.mx/api/openapi.json put /organizations/{id}/members/{memberId}/role
openapi: 3.0.0
info:
  title: Timbrix API
  description: >-
    API de facturación electrónica CFDI 4.0 para México, con servidor OAuth2
    para gestionar organizaciones, miembros y webhooks. Compatible con agentes
    de IA — ver la extensión `x-ai-agent-friendly` en la raíz de esta spec.


    REST API with OAuth2 server for managing organizations, members, and
    webhooks.
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: organizations
    description: Organization management endpoints
  - name: oauth
    description: OAuth2 authentication and authorization
  - name: webhooks
    description: Webhook configuration and delivery
  - name: users
    description: User information endpoints
  - name: api-keys
    description: API Keys management and validation
paths:
  /organizations/{id}/members/{memberId}/role:
    put:
      tags:
        - organizations
      summary: Update member role (owner/admin only)
      description: >-
        ⚠️ SECURITY: Only OWNERS and ADMINS can change member roles. The OWNER
        role cannot be changed or transferred.
      operationId: OrganizationsController_updateRole
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: memberId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateMemberRoleDto'
      responses:
        '200':
          description: Member role updated successfully.
        '400':
          description: Invalid role value. Must be "admin" or "member".
        '401':
          description: Authentication required. Provide a valid bearer token.
        '403':
          description: >-
            Access denied. Either insufficient permissions or attempting to
            change the owner role.
        '404':
          description: Organization or member not found.
      security:
        - bearer: []
components:
  schemas:
    UpdateMemberRoleDto:
      type: object
      properties:
        role:
          type: string
          description: New role for the member
          enum:
            - admin
            - member
          example: admin
      required:
        - role
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````